TypeCode (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.expression.spel.ast

## Enum TypeCode

- java.lang.Object
- - java.lang.Enum<TypeCode>
  - - org.springframework.expression.spel.ast.TypeCode

- All Implemented Interfaces:
    Serializable, Comparable<TypeCode>

      public enum TypeCode
      extends Enum<TypeCode>

  Captures primitive types and their corresponding class objects, plus one special entry that represents all reference (non-primitive) types.
  Author:
    Andy Clement

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `BYTE`
    `CHAR`
    `DOUBLE`
    `FLOAT`
    `INT`
    `LONG`
    `OBJECT`
    `SHORT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TypeCode` | `forClass(Class<?> c)`
    `static TypeCode` | `forName(String name)`
    `Class<?>` | `getType()`
    `static TypeCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TypeCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OBJECT

          public static final TypeCode OBJECT

    - #### BOOLEAN

          public static final TypeCode BOOLEAN

    - #### BYTE

          public static final TypeCode BYTE

    - #### CHAR

          public static final TypeCode CHAR

    - #### SHORT

          public static final TypeCode SHORT

    - #### INT

          public static final TypeCode INT

    - #### LONG

          public static final TypeCode LONG

    - #### FLOAT

          public static final TypeCode FLOAT

    - #### DOUBLE

          public static final TypeCode DOUBLE

  - ### Method Detail

    - #### values

          public static TypeCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TypeCode c : TypeCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TypeCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public Class<?> getType()

    - #### forName

          public static TypeCode forName(String name)

    - #### forClass

          public static TypeCode forClass(Class<?> c)